Uploaded image for project: 'Jackrabbit Oak'
  1. Jackrabbit Oak
  2. OAK-3441

SecurityProviderImpl should not be an OSGi component

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.0.22, 1.2.7, 1.3.7, 1.4
    • Component/s: security
    • Labels:
      None

      Description

      With the introduction of SecurityProviderRegistration in OAK-3201, SecurityProviderImpl doesn't need to be registered as an OSGi component anymore. SecurityProviderImpl should be turned into a plain class in a backwards compatible way.

        Attachments

          Activity

            People

            • Assignee:
              frm Francesco Mari
              Reporter:
              frm Francesco Mari
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: